Subject: Re: CD-based distribution (was Another website....)
From: [email-masked] (Robert Read)

14 Aug 1998 08:51:20 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Geoffrey Noer <[email-masked]>
Cc: Marcus Brown <[email-masked]>, [email-masked],
        [email-masked]

That is a good point; it does make sense for the install process to be
windows aware because, after all, this is windows software. A
product like that might also help developers building stand alone
applications with cygwin to distribute them easier.  Does anyone know if
it would be difficult to extend rpm with windows specific features like
registry settings?

robert

On Thu, 13 Aug 1998, Geoffrey Noer wrote:

> On Wed, Aug 12, 1998 at 01:49:44PM -0500, Marcus Brown wrote:
> >
> > Well, I couldn't really say anything about the Debian tools since I've
> > never used the Debian distribution, only RedHat and Slackware.  The rpm
> > port to cygwin32 that I have seen is solid, and works fine with source
> > rpms (haven't tried binary so don't quote me on this :).  If there is a
> > better or more convenient way to package distributions I'd be glad to
> > take a look at it, rpm is the first thing that came to mind.  A more
> > pressing issue would seem to be what would actually be included in this
> > distribution...
> 
> In principle, I would prefer InstallShield-based distributions but
> obviously that causes a lot of problems -- it's proprietary and isn't
> very scalable to 100s of packages.  So maybe rpm is the way to go...
> 
> Overall, I think it is best if the system promotes compatibility with
> Windows.  (We'd all be much better off running Linux if all we wanted
> was a UNIX box).  If there is a good way to package things that is
> more in keeping with normal Windows ways of existance other than
> Installshield that might be a better choice.  Dunno.
> 
> -- 
> Geoffrey Noer
> [email-masked]
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".